<?xml version="1.0"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
	<id>https://www.theeggeadventure.com/wikimedia/index.php?action=history&amp;feed=atom&amp;title=Lesspipe.sh</id>
	<title>Lesspipe.sh - Revision history</title>
	<link rel="self" type="application/atom+xml" href="https://www.theeggeadventure.com/wikimedia/index.php?action=history&amp;feed=atom&amp;title=Lesspipe.sh"/>
	<link rel="alternate" type="text/html" href="https://www.theeggeadventure.com/wikimedia/index.php?title=Lesspipe.sh&amp;action=history"/>
	<updated>2026-05-16T01:59:37Z</updated>
	<subtitle>Revision history for this page on the wiki</subtitle>
	<generator>MediaWiki 1.46.0-beta</generator>
	<entry>
		<id>https://www.theeggeadventure.com/wikimedia/index.php?title=Lesspipe.sh&amp;diff=2056&amp;oldid=prev</id>
		<title>Egge: New page: http://www-zeuthen.desy.de/~friebel/unix/lesspipe.html lesspipe is a input filter for the less pager.  Recently I asked the author about supporting &#039;&#039;&#039;wget&#039;&#039;&#039; and he provided me this p...</title>
		<link rel="alternate" type="text/html" href="https://www.theeggeadventure.com/wikimedia/index.php?title=Lesspipe.sh&amp;diff=2056&amp;oldid=prev"/>
		<updated>2008-12-23T22:58:22Z</updated>

		<summary type="html">&lt;p&gt;New page: &lt;a href=&quot;/wikimedia/index.php?title=Http://www-zeuthen.desy.de/~friebel/unix/lesspipe.html_lesspipe&amp;amp;action=edit&amp;amp;redlink=1&quot; class=&quot;new&quot; title=&quot;Http://www-zeuthen.desy.de/~friebel/unix/lesspipe.html lesspipe (page does not exist)&quot;&gt;http://www-zeuthen.desy.de/~friebel/unix/lesspipe.html lesspipe&lt;/a&gt; is a input filter for the less pager.  Recently I asked the author about supporting &amp;#039;&amp;#039;&amp;#039;wget&amp;#039;&amp;#039;&amp;#039; and he provided me this p...&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;[[http://www-zeuthen.desy.de/~friebel/unix/lesspipe.html lesspipe]] is a input filter for the less pager.  Recently I asked the author about supporting &amp;#039;&amp;#039;&amp;#039;wget&amp;#039;&amp;#039;&amp;#039; and he provided me this patch (which I slightly modified) to 1.6.0:&lt;br /&gt;
&lt;br /&gt;
&amp;lt;pre&amp;gt;&lt;br /&gt;
--- lesspipe.sh.in      2008-12-02 06:51:49.000000000 +1100&lt;br /&gt;
+++ ../lesspipe.sh.in   2008-12-24 09:50:51.954197800 +1100&lt;br /&gt;
@@ -81,6 +81,12 @@&lt;br /&gt;
   if [[ &amp;quot;$type&amp;quot; = &amp;quot; empty&amp;quot; ]]; then&lt;br /&gt;
     # exit if file returns &amp;quot;empty&amp;quot; (e.g., with &amp;quot;less archive:nonexisting_file&amp;quot;)&lt;br /&gt;
     exit 1&lt;br /&gt;
+  elif [[ &amp;quot;$type&amp;quot; = *cannot\ open* ]]; then&lt;br /&gt;
+    if [[ &amp;quot;$1&amp;quot; = &amp;quot;http&amp;quot; || &amp;quot;$1&amp;quot; = &amp;quot;https*&amp;quot; ]]; then&lt;br /&gt;
+        type=&amp;quot; URL&amp;quot;&lt;br /&gt;
+    else&lt;br /&gt;
+      exit 1&lt;br /&gt;
+    fi&lt;br /&gt;
   elif [[ &amp;quot;$type&amp;quot; = *XML* &amp;amp;&amp;amp; &amp;quot;$name&amp;quot; = *html ]]; then&lt;br /&gt;
     type=&amp;quot; HTML document text&amp;quot;&lt;br /&gt;
   elif [[ &amp;quot;$type&amp;quot; != *lzip*compress* &amp;amp;&amp;amp; (&amp;quot;$name&amp;quot; = *.lzma || &amp;quot;$name&amp;quot; = *.tlz) ]]; then&lt;br /&gt;
@@ -291,6 +297,10 @@&lt;br /&gt;
     elif [[ &amp;quot;$1&amp;quot; = *ISO\ 9660* ]]; then&lt;br /&gt;
       set -A cmd isoinfo &amp;quot;-i$2&amp;quot; &amp;quot;-x$file2&amp;quot;&lt;br /&gt;
 #endif&lt;br /&gt;
+#ifdef wget&lt;br /&gt;
+    elif [[ &amp;quot;$1&amp;quot; = *URL ]]; then&lt;br /&gt;
+      set -A cmd istemp wget &amp;quot;-O-&amp;quot; &amp;quot;${file1}:${file2}${rest1}&amp;quot;&lt;br /&gt;
+#endif&lt;br /&gt;
     fi&lt;br /&gt;
     if [[ &amp;quot;$cmd&amp;quot; != &amp;quot;&amp;quot; ]]; then&lt;br /&gt;
       filen=&amp;quot;$file2&amp;quot;&lt;br /&gt;
&amp;lt;/pre&amp;gt;&lt;br /&gt;
&lt;br /&gt;
This allows one to use less to view http resources.&lt;br /&gt;
&lt;br /&gt;
lesspipe is licensed under the GPL.&lt;br /&gt;
&lt;br /&gt;
[[Category:Unix]]&lt;/div&gt;</summary>
		<author><name>Egge</name></author>
	</entry>
</feed>